#pragma once
#include "Entity.h"
#define CS_ENEMY_YELLOWLEECH_CREATENAME L"CS_enemy_yellowleech"
//µÐÈË£º»ÆË®òÎ
class CS_Enemy_YellowLeech :
    public Entity
{
public:
    CS_Enemy_YellowLeech();
    void Step() override;
    void SetState(int stateID, int lr) override;
    void Attack(std::weak_ptr<Entity> dst, int* outDamage, float* outAngle, bool* outTakedown, int* outElemType, float* outShockForce, float* outHeavy) override;
    bool Hurt(std::weak_ptr<Entity> src, int getDamage, float angle, bool bTakedown, int elemType, float shockForce, float heavy, int* outRealDamage) override;
    float moveSpeed = 0x300 / ts;
};

std::shared_ptr<Entity> CreateCS_Enemy_YellowLeech();